# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`borg`](#borg): Main class, includes all other classes.

#### Private Classes

* `borg::config`
* `borg::install`: This class handles the installation. Avoid modifying private classes.
* `borg::service`

## Classes

### `borg`

Main class, includes all other classes.

* **See also**
  * https://metacpan.org/pod/App::BorgRestore

#### Parameters

The following parameters are available in the `borg` class.

##### `package_name`

Data type: `Variant[String[1],Array[String[1]]]`

Name of the borg package

##### `create_prometheus_metrics`

Data type: `Boolean`

Enable a postrun command to create prometheus compatible metrics about all backups

Default value: ``true``

##### `use_upstream_reporter`

Data type: `Boolean`

Enable to upstream reporter (see create_prometheus_metrics param) or our vendored version

Default value: ``false``

##### `update_borg_restore_db_after_backuprun`

Data type: `Boolean`

Enable the restore helper from Florian 'Bluewind' Pritz (https://metacpan.org/release/App-BorgRestore) as another postrun command (see also the install_restore_script parameter)

Default value: ``true``

##### `keep_yearly`

Data type: `Integer[1]`

For how many years should we keep our backups?

Default value: `3`

##### `keep_monthly`

Data type: `Integer[1]`

For how many months should we keep our backups?

Default value: `24`

##### `keep_weekly`

Data type: `Integer[1]`

For how many weeks should we keep our backups?

Default value: `36`

##### `keep_daily`

Data type: `Integer[1]`

For how many days should we keep our backups?

Default value: `60`

##### `keep_within`

Data type: `Integer[1]`

For how many days should we keep all backups we have?

Default value: `30`

##### `excludes`

Data type: `Array[Stdlib::Absolutepath]`

list of default mountpoints that should be excluded from backups. Every mountpoint needs to be explicitly excluded or included. See also the additional_excludes parameter.

Default value: `['/tmp', '/sys', '/dev', '/proc', '/run', '/media', '/var/lib/nfs/rpc_pipefs']`

##### `includes`

Data type: `Array[Stdlib::Absolutepath]`

list of default mountpoints that should be included from backups. Every mountpoint needs to be explicitly excluded or included. See also the additional_includes parameter.

Default value: `['/', '/boot', '/boot/efi', '/boot/EFI', '/var/log']`

##### `backupserver`

Data type: `String[1]`

FQDN for the remote server. Will be written into the local ssh client configuration file.

##### `install_restore_script`

Data type: `Boolean`

Install the restore helper via cpanm.

##### `restore_script_path`

Data type: `Stdlib::Absolutepath`

The path to the restore helper.

##### `backupdestdir`

Data type: `String[1]`

The path on the remote server where the backups should be written to.

Default value: `'borg'`

##### `manage_repository`

Data type: `Boolean`

A Boolean that enables/disables repository management. Only true on Ubuntu 16.04 at the moment

##### `exclude_pattern`

Data type: `Array[String[1]]`

We currently support excludes/includes for mountpoints. borg supports also a list of shell glob/regex pattern to filter for files.

Default value: `['sh:/home/*/.cache/*', 'sh:/root/.cache/*', 'sh:/var/cache/pacman/pkg/*']`

##### `additional_exclude_pattern`

Data type: `Array[String[1]]`

Another array of patterns to extend the modules built-in list (`exclude_pattern` parameter).

Default value: `[]`

##### `restore_dependencies`

Data type: `Array[String[1]]`

A list of dependencies for the restore helper.

Default value: `[]`

##### `package_ensure`

Data type: `String[1]`

Ensure state for the borg package.

Default value: `present`

##### `additional_excludes`

Data type: `Array[Stdlib::Absolutepath]`

Another array of mountpoints to extend the modules built-in list (`excludes` parameter).

Default value: `[]`

##### `additional_includes`

Data type: `Array[Stdlib::Absolutepath]`

Another array of mountpoints to extend to modules built-in list (`includes` parameter).

Default value: `[]`

##### `username`

Data type: `String[1]`

The ssh username to connect to the remote borg service.

Default value: `$facts['networking']['hostname']`

##### `ssh_port`

Data type: `Stdlib::Port`

SSH port for the remote server (default: 22). Will be written into the local ssh client configuration file.

Default value: `22`

##### `borg_restore_version`

Data type: `Pattern[/^\d*\.\d*\.\d*$/]`

Version for the perl script App::BorgRestore. change this version and the module will upgrade/downgrade it

Default value: `'3.4.4'`

##### `install_fatpacked_cpanm`

Data type: `Boolean`

cpanm is required on systems where we want to have App::BorgRestore. Legacy systems ship a too old cpanm version. For those operating systems we can install the upstream version.

##### `proxy_type`

Data type: `Optional[Enum['none', 'ftp','http','https']]`

configue a network proxy *type* for the archive resources in this module. You also need to set `proxy_server` if you need a proxy.

Default value: ``undef``

##### `proxy_server`

Data type: `Optional[String[1]]`

Configurea network proxy for the archive resources in this module. By default no proxy will be used

Default value: ``undef``

